import { Http,Util,Errorlog } from '@/utils';
import ControlService from '@/widgets/control-service';
import IBZ5Sample0003Service from '@/service/ibz5-sample0003/ibz5-sample0003-service';
import STabExpViewtabexppanelModel from './stab-exp-viewtabexppanel-tabexppanel-model';


/**
 * STabExpViewtabexppanel 部件服务对象
 *
 * @export
 * @class STabExpViewtabexppanelService
 */
export default class STabExpViewtabexppanelService extends ControlService {

    /**
     * 示例实体03服务对象
     *
     * @type {IBZ5Sample0003Service}
     * @memberof STabExpViewtabexppanelService
     */
    public appEntityService: IBZ5Sample0003Service = new IBZ5Sample0003Service({ $store: this.getStore() });

    /**
     * 设置从数据模式
     *
     * @type {boolean}
     * @memberof STabExpViewtabexppanelService
     */
    public setTempMode(){
        this.isTempMode = false;
    }

    /**
     * Creates an instance of STabExpViewtabexppanelService.
     * 
     * @param {*} [opts={}]
     * @memberof STabExpViewtabexppanelService
     */
    constructor(opts: any = {}) {
        super(opts);
        this.model = new STabExpViewtabexppanelModel();
    }

    
}